| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetBGListRequest Struct Reference
Business Group

Get BG List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
unsp__NumberPlanName | NumberPlanName
| The Name of the Number Plan to filter on. More...
unsp__BGName | BGName
| The Name of the Business Group to filter on. More...
xsd__boolean * | DNReserveEnabled
| Filters on whether DN reservation is enabled. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
struct unsp__GetBGListDataOptionList * | GetBGListDataOptionList
| Data Option List. More...
struct unsp__GetBGListSortList * | GetBGListSortList
| Sort Criteria List. More...

## Detailed Description

Get BG List request.

Used by unsp__GetBGList2() and unsp__GetBGList3()

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__GetBGListRequest::BGName

The Name of the Business Group to filter on.

required: true

See also
  unsp__BGName

## ◆ DNReserveEnabled

xsd__boolean* unsp__GetBGListRequest::DNReserveEnabled

Filters on whether DN reservation is enabled.

required: false
default value[range]: NA

## ◆ GetBGListDataOptionList

struct unsp__GetBGListDataOptionList* unsp__GetBGListRequest::GetBGListDataOptionList

Data Option List.

required: false

## ◆ GetBGListSortList

struct unsp__GetBGListSortList* unsp__GetBGListRequest::GetBGListSortList

Sort Criteria List.

required: false

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetBGListRequest::NumberPlanName

The Name of the Number Plan to filter on.

required: true

See also
  unsp__NumberPlanName

## ◆ OperatorId

char* unsp__GetBGListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetBGListRequest::Paging

Standard paging structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h